Get diff between two commits
curl --request GET \
--url https://api.example.com/api/diff \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/diff"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{
"oldPath": "<string>",
"newPath": "<string>",
"hunks": [
{
"oldRange": {
"start": 123,
"lines": 123
},
"newRange": {
"start": 123,
"lines": 123
},
"body": "<string>",
"heading": "<string>"
}
]
}
]
}{
"statusCode": 123,
"errorCode": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"errorCode": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"errorCode": "<string>",
"message": "<string>"
}Git
Get diff between two commits
Returns a structured diff between two git refs using a two-dot comparison. See git-diff for details.
GET
/
api
/
diff
Get diff between two commits
Authorizations
bearerTokenapiKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your API key.
Query Parameters
The fully-qualified repository name.
The base git ref (branch, tag, or commit SHA) to diff from.
The head git ref (branch, tag, or commit SHA) to diff to.
Restrict the diff to changes touching this file path. Omit to diff all changes between the two refs.
Response
Structured diff between the two refs.
The list of changed files.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

